aboutsummaryrefslogtreecommitdiffstats
path: root/testing/glu/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-16 12:11:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-17 08:59:37 +0000
commit57b2b83e34574928ece1bb3b1c349921e2ee27e7 (patch)
treed9f25fba95c68a174ad96bedadc8d39cd838c566 /testing/glu/APKBUILD
parent7c5cd8a4eb5b04c1e26fd1d395055824acfcac3c (diff)
downloadaports-57b2b83e34574928ece1bb3b1c349921e2ee27e7.tar.gz
aports-57b2b83e34574928ece1bb3b1c349921e2ee27e7.tar.bz2
aports-57b2b83e34574928ece1bb3b1c349921e2ee27e7.tar.xz
testing/glu: new aport
Mesa OpenGL Utility library http://cgit.freedesktop.org/mesa/glu/
Diffstat (limited to 'testing/glu/APKBUILD')
-rw-r--r--testing/glu/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/glu/APKBUILD b/testing/glu/APKBUILD
new file mode 100644
index 0000000000..471f8e4958
--- /dev/null
+++ b/testing/glu/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=glu
+pkgver=9.0.0
+pkgrel=0
+pkgdesc="Mesa OpenGL Utility library"
+url="http://cgit.freedesktop.org/mesa/glu/"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="mesa-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="ftp://ftp.freedesktop.org/pub/mesa/glu/glu-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/glu-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="be9249132ff49275461cf92039083030 glu-9.0.0.tar.bz2"